Subject: bug#956: In CVS Emacs, replace-regexp doesn't honor inhibit-read-only.

From: Francis Litterio <[email-masked]>
Date: Thu, 11 Sep 2008 15:33:00 -0400

Francis Litterio wrote:

> I wrote:
>
>> In CVS Emacs, replace-regexp doesn't honor inhibit-read-only.  To
>> reproduce, evaluate this form:

>      (let ((inhibit-read-only t))
>        (with-current-buffer (get-buffer-create "zzz")
>
>          (toggle-read-only 1)  ;; Forgot this in my original report!
>
>          (insert "fooxxxbar")
>          (replace-regexp "x+" "z" nil (point-min) (point-max))))
>
> Chong Yidong wrote:
>
>> Thanks for spotting this.  I've checked in a fix.
>
> Thanks!

I updated from CVS after seeing your above message, and the bug is still
there.  What file did you change?
--
Fran